# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.481   -> 1.482  
#	drivers/usb/input/hid-core.c	1.32    -> 1.33   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/07/26	ahaas@neosoft.com	1.482
# [PATCH] designated initializer patch for drivers_usb_input_hid-core.c
# 
#   Here's an patch for additional designated initializers for
#   drivers/usb/input/hid-core.c. Patch is against 2.5.27.
# --------------------------------------------
#
diff -Nru a/drivers/usb/input/hid-core.c b/drivers/usb/input/hid-core.c
--- a/drivers/usb/input/hid-core.c	Fri Jul 26 13:47:45 2002
+++ b/drivers/usb/input/hid-core.c	Fri Jul 26 13:47:45 2002
@@ -1549,8 +1549,8 @@
 }
 
 static struct usb_device_id hid_usb_ids [] = {
-	{ match_flags: USB_DEVICE_ID_MATCH_INT_CLASS,
-	    bInterfaceClass: USB_INTERFACE_CLASS_HID },
+	{ .match_flags = USB_DEVICE_ID_MATCH_INT_CLASS,
+	    .bInterfaceClass = USB_INTERFACE_CLASS_HID },
 	{ }						/* Terminating entry */
 };
 
